> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/property-tax-service/pt-create-property-ui-details/property-tax-search-applications.md).

# Property Tax - Search Applications

**Objective:** To provide employees with the functionality to search Applications (whether Active or in workflow) based on

1. &#x20;Application No.
2. Property ID
3. &#x20;Owner’s Mobile No.
4. Application Type
5. &#x20;Application Status
6. &#x20;Create Between Dates

![](/files/ab1XvECECApaJNbLJtul)

Users can view the application details page by clicking on the application number. The details page allows the employees to initiate and perform different workflow actions.

## **Technical Details**

Search application file link: <https://github.com/egovernments/DIGIT-Dev/blob/develop/frontend/micro-ui/web/micro-ui-internals/packages/modules/pt/src/components/SearchApplication.js>

The below hook is used to call the Property Search API and load the search result:

`1const { isLoading, isSuccess, isError, error, data: {Properties: searchReult, Count: count} = {} } = Digit.Hooks.pt.usePropertySearch( 2 { tenantId, 3 filters: payload 4 }, 5 config, 6 );`

Hook file path: <https://github.com/egovernments/DIGIT-Dev/blob/develop/frontend/micro-ui/web/micro-ui-internals/packages/modules/pt/src/pages/employee/SearchApp.js>

## &#x20;**Role Action Mapping**

| <p></p><p><strong>Url</strong></p>              | **Role**                | **Action Id** |
| ----------------------------------------------- | ----------------------- | ------------- |
| `/egov-location/location/v11/boundarys/_search` | `PTCEMP,FI,APPROVER,DV` | `1429`        |
| `/property-services/property/_search`           | `PTCEMP,FI,APPROVER,DV` | `1897`        |

[![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)](http://creativecommons.org/licenses/by/4.0/)All content on this page by [eGov Foundation ](https://egov.org.in/)is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/property-tax-service/pt-create-property-ui-details/property-tax-search-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
